<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          displayName="Metabase Downlevel"
          description="Downlevel manifest for Metabase Migration"
          company="Microsoft"
          copyright=""
          supportInformation=""
          creationTimeStamp="2005-04-17T23:19:59.7179214-07:00"
          lastUpdateTimeStamp="2005-06-21T21:50:06.5375172-07:00"
          authors="edchou"
          owners="edchou"
          testers=""
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3">

    <assemblyIdentity name="Microsoft-Windows-IIS-Metabase-Deployment-DL"
                      version="0.0.0.0"
                      processorArchitecture="*"
                      language="*"
                      type=""
                      publicKeyToken="$(Build.WindowsPublicKeyToken)"
                      buildType="$(build.buildType)"
                      versionScope="nonSxS"
                      buildFilter="">
    </assemblyIdentity>

    <migration>

        <registerSDF name="IIS-Metabase">
        </registerSDF>

        <migXml xmlns="">

          <!-- This migXml secton was added post Vista RTM, registerSDF does not work
               if migXml is wrapped by a machineSpecific section (as the migXml section below),
               because of that, we must duplicate the migXml section. 
               Removing machineSpecific from the manifests is a high risk because
               it was shipped on Vista RTM.
               -->

          <detects>
            <detect>
              <condition>
                MigXmlHelper.IsOSEarlierThan("NT", "6.0")
              </condition>
            </detect>
            <detect>
              <condition>
                MigXmlHelper.DoesObjectExist( "Registry", "HKLM\System\CurrentControlSet\Services\IISADMIN [ImagePath]" )
              </condition>
            </detect>
          </detects>
        </migXml>

        <machineSpecific>
            <migXml xmlns="">

                <!-- On a down-level system, we detect the presence of the    -->
                <!-- metabase by looking for the IISADMIN service.  We base   -->
                <!-- this on the registry key for the service declaration.    -->

                <detects>
                  <detect>
                    <condition>
                      MigXmlHelper.IsOSEarlierThan("NT", "6.0")
                    </condition>
                  </detect>
                  <detect>
                    <condition>
                      MigXmlHelper.DoesObjectExist( "Registry", "HKLM\System\CurrentControlSet\Services\IISADMIN [ImagePath]" )
                    </condition>
                  </detect>
                </detects>

                <!-- For the metabase down-level manifest, we need to gather  -->
                <!-- the IIS settings from the config store using our plugin. -->

                <plugin file="Microsoft-Windows-IIS-DL\iismig.dll"
                        classId="{A33259A7-E9DB-4195-A31F-57E3C4D74C49}">
                </plugin>

                <!-- Save the iis7.log file that is written to during the     -->
                <!-- gather phase of the migration plug-in.                   -->

                <rules context="System">
                    <include>
                        <objectSet>
                            <pattern type="File">%windir%\[iis7.log]</pattern>
                        </objectSet>
                    </include>
                </rules>
 
            </migXml>

        </machineSpecific>

    </migration>

</assembly>
