<?xml version="1.0" encoding="UTF-8"?>
<assembly 
  description="Downlevel manifest support for MUI Settings"
  displayName="Downlevel manifest for MUI Settings"
  manifestVersion="1.0"
  xmlns="urn:schemas-microsoft-com:asm.v3"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  company="Microsoft" 
  copyright="Microsoft Corp"
  authors="avgarcia,laurag" 
  owners="muicore" 
  testers="" 
  buildFilter="">

  <assemblyIdentity 
    name="Microsoft-Windows-MUI-Settings-DL" 
    version="0.0.0.0"
    processorArchitecture="*"
    publicKeyToken=""
    language="*">
  </assemblyIdentity>

  <!-- migrate mui settings during upgrade and using migration wizard -->
  <migration scope="Upgrade,MigWiz,USMT">
    <migXml xmlns="">
      <!-- Check as this manifest is only valid for down level OS < Windows Vista -->
      <detects>
        <detect>
          <condition>MigXmlHelper.IsOSEarlierThan("NT", "6.0.0.0")</condition>
        </detect>
      </detects>

      <!-- migrate Current user's preferred language setting to Vista current user (per user) -->
      <rules context="User">
        <include>
          <objectSet>            
            <pattern type="Registry">HKCU\Control Panel\Desktop [MultiUILanguageId] </pattern>
          </objectSet>
        </include>
      </rules>
      
      <!-- migrate .default  preferred language setting to Vista HKLM (per system)-->
      <rules context="System">      
        <include>
          <objectSet>            
            <pattern type="Registry">HKU\.DEFAULT\Control Panel\Desktop [MultiUILanguageId] </pattern>
          </objectSet>
        </include>
      </rules>

    </migXml>

    <!-- Migration display group id for migwiz -->
    <migrationDisplayID>Date_Time_Language_and_Region\Regional_Language_Options</migrationDisplayID>

  </migration>
</assembly>