<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xmlns:xsd="http://www.w3.org/2001/XMLSchema"
          manifestVersion="1.0"
          description="$(resourceString.description)"
          displayName="$(resourceString.displayName)"
          company="Microsoft Corp"
          copyright="Microsoft"
          supportInformation="fsrmdev"
          creationTimeStamp="2004-05-24T17:39:48.5440428-07:00"
          lastUpdateTimeStamp="2005-05-10T17:21:13.088724Z"
          authors="fsrmdev"
          owners="fsrmdev"
          testers="fsrmdev"
          buildFilter=""
          xmlns="urn:schemas-microsoft-com:asm.v3"> 
  <assemblyIdentity type=""
                    publicKeyToken="$(Build.WindowsPublicKeyToken)"
                    buildType="$(build.buildType)"
                    versionScope="nonSxS"
                    buildFilter=""
                    name="Microsoft-Windows-FSRM-DL"
                    version="0.0.0.0"
                    processorArchitecture="*"
                    language="neutral" />

  <migration>

    <!-- Identify the OC to which this manifest corresponds -->
    
    <registerSDF name="FSRM-Infrastructure"/>
    <registerSDF name="FSRM-Management"/>
        
    <!-- Begin migration to Vista from non-Vista Server OS -->

    <!-- In-place section. Declarations here will not be migrated pc-to-pc. -->

      <migXml xmlns="">
      
        <detects>
          <detect>
            <condition>MigXmlHelper.DoesObjectExist("Registry","HKLM\SYSTEM\CurrentControlSet\Services\SrmSvc")</condition>
          </detect>

          <detect>
            <condition>MigXmlHelper.DoesOSMatch("NT", "5.2.*")</condition>
          </detect>
        </detects>

        <!-- Ruleset for migrating Windows 2003 Server R2 -->
      
        <rules context="System">

          <include>
            <objectSet>

              <!-- Quota filter settings  -->

              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Quota [NormalNotificationTimeout]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Quota [CriticalNotificationTimeout]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Quota [EnableQuotaSpecificErrorCode]</pattern>

              <!-- File screen filter settings  -->

              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Datascrn [NormalNotificationTimeout]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Datascrn [CriticalNotificationTimeout]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\Datascrn [EnableScreeningSpecificErrorCode]</pattern>

              <!-- Srm service settings  -->

              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmSvc\Settings [DisableSearchDfs]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmSvc\Settings [SharePathRefreshMinutes]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmSvc\Settings [MaxThreadPoolWorkItems]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmSvc\Settings [MaxQueuedEvents]</pattern>
      
              <!-- Reports service settings  -->

              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmReports\Settings [TimeoutForGC]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmReports\Settings [ConsolidationTimeout]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmReports\Settings [ExtendedLogging]</pattern>
              <pattern type="Registry">HKLM\SYSTEM\CurrentControlSet\Services\SrmReports\Settings [TimeoutForShutdown]</pattern>

              <!-- GUI settings  -->
              
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\SrmGui [No Save Quota as Template Dialog]</pattern>
              <pattern type="Registry">HKLM\SOFTWARE\Microsoft\SrmGui [No Save File Screen as Template Dialog]</pattern>

            </objectSet>
          </include>

          <!-- Specify merge resolution handler. Source priority forces migrate from downlevel. -->

        </rules>
                  
      </migXml>

    <!-- No pc-to-pc migration. -->

  </migration> 
</assembly> 
